package ch.actifsource.demo.osgitimeoutblocking;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

	@Override
	public void start(BundleContext context) throws Exception {
		System.out.println("Start Blocking...");
		long start = System.currentTimeMillis();
		int i = 0;
		while (System.currentTimeMillis() - start < 3000) {
			Thread.sleep(100);
			i++;
			System.out.println("Simulate activation delay: "
					+ (3000 + start - System.currentTimeMillis()) + " ms");
		}
		// Thread.sleep(10000);
		System.out.println("Blocking started");
	}

	@Override
	public void stop(BundleContext context) throws Exception {

	}

}
